Groups

Get a group

Retrieve a single group by its unique ID, including its name and metadata.

GET /v1/groups/{groupId}

Parameters

Path parameters

groupId
string (uuid) required

Query parameters

include
object
select
object

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
data
object required
data.group
any required

Example

{
  "error": false,
  "data": {
    "group": null
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v1/groups/00000000-0000-0000-0000-000000000000 \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026